{
  "parent": "minecraft:recipes/root",
  "criteria": {
    "correct_item": {
      "conditions": {
        "items": [
          {
            "items": [
              "minecraft:moss_block"
            ]
          }
        ]
      },
      "trigger": "minecraft:inventory_changed"
    }
  },
  "rewards": {
    "recipes": [
      "vb:dye_crafting/green1"
    ]
  }
}